$(document).ready(function()
{
    var grupa = $('#grupa__js').attr('value');
    
    var wybrany_zawod = "";
    var klikniety_zawod = "";

    $(".gra_zawod_belka").click(function()
    {		
        klikniety_zawod = $(this).attr("id");

        $(".gra_zawod_belka").css("background-position", "right top");
        $(".gra_zawod_opis").stop(true, false).slideUp(250);
        $(".gra_zawody_zagraj").removeAttr("href");
        $(".gra_zawody_zagraj").css("cursor", "default");
        $(".gra_zawody_zagraj").css("color", "#aaa");
        $(".gra_zawody_zagraj").css("background-image", "url('../../../grafika/gra_zawody_zagraj.png')");
        $(".gra_zawody_zagraj").css("background-color", "#3B3B3B");
        
        if (klikniety_zawod == wybrany_zawod)
        {
            wybrany_zawod = "";
        }
        else
        {
            wybrany_zawod = klikniety_zawod;

            $(this).css("background-position", "right bottom");
            $("#o" + wybrany_zawod).stop(true, false).slideDown(250);
            $(".gra_zawody_zagraj").attr("href", "./"+grupa+"/zawod/" + wybrany_zawod.substr(1)+'.htm');
            $(".gra_zawody_zagraj").css("cursor", "pointer");
            $(".gra_zawody_zagraj").css("color", "#fff");
            $(".gra_zawody_zagraj").css("background-color", "#C51426");
            $(".gra_zawody_zagraj").css("background-image", "url('../../../grafika/gra_zawody_zagraj_aktywny.png')");
            
        }
        
        return false;
    });
    
    $(".gra_zawody_zagraj").click(function()
    {					
        belka = $("#"+wybrany_zawod);
    
        if ($(belka).hasClass("gra_zawod_belka_niepelnosprawni"))
        {						
            alertify.alert($('.tresc_niepelnosprawnosci[ref="'+wybrany_zawod+'"]').text()+"<br/>", function(e)
            {
                window.location.href = $(".gra_zawody_zagraj").attr("href");
            });
        }
        else
        {
            return true;
        }
        
        return false;
    });
});